Package com.sas.lsaf.core

## Class AbstractRevisionable

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.core.AbstractRevisionable

- All Implemented Interfaces:
    `Identifiable`, `Revisionable`, `java.io.Serializable`
  Direct Known Subclasses:
    `TlfTemplate`

      public abstract class AbstractRevisionable
      extends AbstractIdentifiable
      implements Revisionable

  Abstract implementation of the `Revisionable` interface.
  Since:
    2.5
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface com.sas.lsaf.core.Revisionable

      `REVISION_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractRevisionable​(java.lang.String typeId, java.lang.String id, long revision)` | Constructs an `AbstractRevisionable` with the specified object type and identifier.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `long` | `getRevision()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractRevisionable

          public AbstractRevisionable​(java.lang.String typeId,
                                      java.lang.String id,
                                      long revision)

      Constructs an `AbstractRevisionable` with the specified object type and identifier.
      Parameters:
        `typeId` - the object type of the object, typically set by implementing classes.
        `id` - the unique identifier for the object instance.
        `revision` - The internal revision number.

  - ### Method Detail

    - #### getRevision

          public long getRevision()

      Specified by:
        `getRevision` in interface `Revisionable`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractIdentifiable`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractIdentifiable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractIdentifiable`